<template>
  <div>
    <div class="subtitle-2"><b>Proyecto</b><span class="tRojo">*</span></div>
    <v-autocomplete
      v-model="data.value"
      :items="lisaProyecto"
      item-text="descripcion"
      item-value="idProyecto"
      label="Selecciona un proyecto"
      @change="callback"
      single-line
      return-object
    >
    </v-autocomplete>
  </div>
</template>

<script>
import store from "@/store";
const axios = store.state.axiosApiLocal;
const listadoProyectosTemp = [
  {
    idNegocio: 1,
    descripcion: "Nuevas",
    idProyecto: 1,
  },
  {
    idNegocio: 1,
    descripcion: "Reconstrucciones",
    idProyecto: 2,
  },
  {
    idNegocio: 1,
    descripcion: "Remodelaciones",
    idProyecto: 3,
  },
  {
    idNegocio: 1,
    descripcion: "Conectividad",
    idProyecto: 4,
  },
  {
    idNegocio: 1,
    descripcion: "Movilidad",
    idProyecto: 5,
  },
  {
    idNegocio: 1,
    descripcion: "Hogar",
    idProyecto: 6,
  },
  {
    idNegocio: 1,
    descripcion: "Cambio de Mobiliario",
    idProyecto: 7,
  },
  {
    idNegocio: 1,
    descripcion: "Remodelacion de Comedor",
    idProyecto: 8,
  },
  {
    idNegocio: 1,
    descripcion: "Bunker de PPR",
    idProyecto: 9,
  },
  {
    idNegocio: 1,
    descripcion: "Ampliacion de ventanillas",
    idProyecto: 10,
  },
  {
    idNegocio: 1,
    descripcion: "Cajas Rapidas",
    idProyecto: 11,
  },
  {
    idNegocio: 1,
    descripcion: "Remodelacion de Baños",
    idProyecto: 12,
  },
  {
    idNegocio: 1,
    descripcion: "ATM Dispensador",
    idProyecto: 13,
  },
  {
    idNegocio: 1,
    descripcion: "ATM Multiservicio",
    idProyecto: 14,
  },
  {
    idNegocio: 1,
    descripcion: "Kioskos",
    idProyecto: 15,
  },
  {
    idNegocio: 1,
    descripcion: "Ampliacion de Posiciones Financieras",
    idProyecto: 16,
  },
  {
    idNegocio: 1,
    descripcion: "Otros",
    idProyecto: 17,
  },
  {
    idNegocio: 2,
    descripcion: "Nuevas",
    idProyecto: 18,
  },
  {
    idNegocio: 2,
    descripcion: "Reconstrucciones",
    idProyecto: 19,
  },
  {
    idNegocio: 2,
    descripcion: "Remodelaciones",
    idProyecto: 20,
  },
  {
    idNegocio: 2,
    descripcion: "Conectividad",
    idProyecto: 21,
  },
  {
    idNegocio: 2,
    descripcion: "Movilidad",
    idProyecto: 22,
  },
  {
    idNegocio: 2,
    descripcion: "Hogar",
    idProyecto: 23,
  },
  {
    idNegocio: 2,
    descripcion: "Cambio de Mobiliario",
    idProyecto: 24,
  },
  {
    idNegocio: 2,
    descripcion: "Remodelacion de Comedor",
    idProyecto: 25,
  },
  {
    idNegocio: 2,
    descripcion: "Bunker de PPR",
    idProyecto: 26,
  },
  {
    idNegocio: 2,
    descripcion: "Ampliacion de ventanillas",
    idProyecto: 27,
  },
  {
    idNegocio: 2,
    descripcion: "Cajas Rapidas",
    idProyecto: 28,
  },
  {
    idNegocio: 2,
    descripcion: "Remodelacion de Baños",
    idProyecto: 29,
  },
  {
    idNegocio: 2,
    descripcion: "ATM Dispensador",
    idProyecto: 30,
  },
  {
    idNegocio: 2,
    descripcion: "ATM Multiservicio",
    idProyecto: 31,
  },
  {
    idNegocio: 2,
    descripcion: "Kioskos",
    idProyecto: 32,
  },
  {
    idNegocio: 2,
    descripcion: "Ampliacion de Posiciones Financieras",
    idProyecto: 33,
  },
  {
    idNegocio: 2,
    descripcion: "Otros",
    idProyecto: 34,
  },
  {
    idNegocio: 3,
    descripcion: "Nuevas",
    idProyecto: 35,
  },
  {
    idNegocio: 3,
    descripcion: "Remodelaciones",
    idProyecto: 36,
  },
  {
    idNegocio: 4,
    descripcion: "Nuevas",
    idProyecto: 37,
  },
  {
    idNegocio: 4,
    descripcion: "Remodelaciones",
    idProyecto: 38,
  },
  {
    idNegocio: 5,
    descripcion: "Nuevas",
    idProyecto: 39,
  },
  {
    idNegocio: 5,
    descripcion: "Remodelaciones",
    idProyecto: 40,
  },
];
export default {
  name: "Component-ListaProyecto",
  props: {
    value: Object,
    callback: {
      type: Function,
    },
  },
  computed: {
    data: {
      get() {
        return this.value.dataProyecto;
      },
      set(value) {
        this.$emit("input", this.value);
      },
    },
  },
  data() {
    return {
      lisaProyecto: [],
    };
  },
  methods: {
    borrarListadoProyecto() {
      this.lisaProyecto = [];
    },
    getLisaProyecto() {
      this.lisaProyecto = listadoProyectosTemp.filter(
        (items) =>
          items.idNegocio == this.value.dataUnidadNegocio.value.idNegocio
      );
    },
    getLisaProyecto2() {
      var self = this;
      axios("/documento-sucursal/proyecto/v1/")
        .then((response) => {
          let data = response.data;
          if (data) {
            self.lisaProyecto = data.resultado.proyectos;
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
  },
  created() {},
};
</script>
